UDEVINFO(8)

NAME
udevinfo - retrieve information from udev

SYNOPSIS
udevinfo [-q query_type -p sysfs_path] [-drVh]

DESCRIPTION
udevinfo allows users to query the udev database for information on any device currently present on the system. It also provides a way to query any device in the sysfs tree to help creating udev rules.

OPTIONS

-V  Print the version information.

-r  Print the udev_root directory. When used in conjunction with a query for the node name or the symlink names, the udev_root will be prepended to query result.

-q query_type
    Query the database for specified value of a created device node or network interface. Needs -p or -n specified.
    Valid types are: name, symlink, path or all.

-p sysfs_path
    Specify the sysfs path of the device to query.

-n name
    Specify the name of the node, the symlink or the network interface for the device to query. Partition names generated with the NAME{all_partitons} option can not be queried, the main device must be used instead.

-a  Print all SYSFS{filename} attributes along the device chain. Useful for finding unique attributes to compose a rule. Needs -p specified.

-d  Print the relationship between the devpath and the node name for all devices currently available in the database.

-h  Print help text.

FILES
/etc/udev/*  udev config files

SEE ALSO
udev(8)

AUTHORS
udevinfo was developed primarily by Kay Sievers <kay.sievers@vrfy.org>, with help from others.